<div class="container">
  <div class="row">
    <div class="form-login-box align-item-center">
      <h2>Edit <%= resource_name.to_s.humanize %></h2>
      <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <%= render "devise/shared/error_messages", resource: resource %>
        <div class="form-group">
          <%= f.label :UserId %><br />
          <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
        </div>
        <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
          <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
        <% end %>
        <div class="form-group">
          <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
          <%= f.password_field :password, autocomplete: "new-password", placeholder: "New Password" %>
          <% if @minimum_password_length %>
            <br />
            <em><%= @minimum_password_length %> characters minimum</em>
          <% end %>
        </div>
        <div class="form-group">
          <%= f.password_field :password_confirmation, autocomplete: "new-password", placeholder: "Re-Enter Password" %>
        </div>
        <div class="form-group">
          <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
          <%= f.password_field :current_password, autocomplete: "current-password" %>
        </div>
        <div class="actions">
          <%= f.submit "Update", class: "btn btn-primary" %>
        </div>
      <% end %>
      <h3>Delete my account</h3>
      <p>Unhappy? <%= button_to "Delete my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger" %></p>
      <%= link_to "Back", :back %>
    </div>
  </div>
</div>
<!--
<h2>Edit <%= resource_name.to_s.humanize %></h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
  <%= render "devise/shared/error_messages", resource: resource %>

  <div class="field">
    <%= f.label :email %><br />
    <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
  </div>

  <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
    <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
  <% end %>

  <div class="field">
    <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
    <%= f.password_field :password, autocomplete: "new-password" %>
    <% if @minimum_password_length %>
      <br />
      <em><%= @minimum_password_length %> characters minimum</em>
    <% end %>
  </div>

  <div class="field">
    <%= f.label :password_confirmation %><br />
    <%= f.password_field :password_confirmation, autocomplete: "new-password" %>
  </div>

  <div class="field">
    <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
    <%= f.password_field :current_password, autocomplete: "current-password" %>
  </div>

  <div class="actions">
    <%= f.submit "Update" %>
  </div>
<% end %>

<h3>Delete my account</h3>

<p>Unhappy? <%= button_to "Delete my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>

<%= link_to "Back", :back %>


-->
